/* Animations inView */

.anim_fadeSlide_RightToLeft, .anim_fadeSlide_LeftToRight, .anim_fadeInUp, .anim_fadeInDown, .anim_fadeIn, .anim_flipInX, .anim_fadeIn_children > a > div, .anim_slideUp_fast, .anim_slideUp_fast-rotated {
	opacity: 0;
}

.anim_fadeIn.in-view {
	animation-duration: 1s;
    animation-iteration-count: 1;
    animation-name: inView_fadeIn;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_fadeInUp.in-view {
	animation-duration: 1s;
    animation-iteration-count: 1;
    animation-name: inView_fadeInUp;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_fadeInDown.in-view {
	animation-duration: 1s;
    animation-iteration-count: 1;
    animation-name: inView_fadeInDown;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_fadeSlide_RightToLeft.in-view {
	animation-duration: 1s;
    animation-iteration-count: 1;
    animation-name: inView_fadeSlide_RightToLeft;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_fadeSlide_LeftToRight.in-view {
	animation-duration: 1s;
    animation-iteration-count: 1;
    animation-name: inView_fadeSlide_LeftToRight;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_flipInX.in-view {
	animation-duration: 1.2s;
    animation-iteration-count: 1;
    animation-name: inView_flipInX;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_fadeIn_children.in-view > a > div {
    animation-duration: 1s;
	animation-iteration-count: 1;
    animation-name: inView_Slide_RightToLeft;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_fadeIn_children.in-view > a:nth-of-type(1) > div {
	animation-duration: 1s;
}

.anim_fadeIn_children.in-view > a:nth-of-type(2) > div {
	animation-duration: 1.4s;
}

.anim_fadeIn_children.in-view > a:nth-of-type(3) > div {
	animation-duration: 1.8s;
}

.anim_fadeIn_children.in-view > a:nth-of-type(4) > div {
	animation-duration: 2.2s;
}

.anim_slideUp_fast.in-view {
	animation-duration: 0.6s;
	animation-iteration-count: 1;
    animation-name: inView_SlideUp_fast;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

.anim_slideUp_fast-rotated.in-view {
	animation-duration: 0.6s;
	animation-iteration-count: 1;
    animation-name: inView_SlideUp_fast-rotated;
	animation-delay: 0s;
	opacity: 0;
	animation-fill-mode: forwards;
	transition: 0.4s;
}

@media screen and (max-width: 767px) {
	.anim_slideUp_fast-rotated.in-view {
		animation-name: inView_fadeSlide_LeftToRight;
	}
}

@keyframes inView_fadeSlide_LeftToRight {
	0% {
		transform: translateX(-95px);
		opacity: 0;
	}
	100% {
		transform: translateX(0px);
		opacity: 1;
	}
}

@keyframes inView_fadeSlide_RightToLeft {
	0% {
		transform: translateX(95px);
		opacity: 0;
	}
	100% {
		transform: translateX(0px);
		opacity: 1;
	}
}

@keyframes inView_Slide_RightToLeft {
	0% {
		transform: translateX(100%);
	}
	10% {
		opacity: 1;
	}
	100% {
		transform: translateX(0px);
		opacity: 1;
	}
}

@keyframes inView_fadeIn {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

@keyframes inView_fadeInUp {
	0% {
		transform: translateY(95px);
		opacity: 0;
	}
	100% {
		transform: translateY(0px);
		opacity: 1;
	}
}

@keyframes inView_fadeInDown {
	0% {
		transform: translateY(-95px);
		opacity: 0;
	}
	100% {
		transform: translateY(0px);
		opacity: 1;
	}
}

@keyframes inView_SlideUp_fast {
	0% {
		transform: translateY(150px);
		opacity: 0;
	}
	20% {
		opacity: 1;
	}
	100% {
		transform: translateY(0px);
		opacity: 1;
	}
}

@keyframes inView_SlideUp_fast-rotated {
	0% {
		transform: translateY(150px) rotate(180deg);
		opacity: 0;
	}
	20% {
		opacity: 1;
	}
	100% {
		transform: translateY(0px) rotate(180deg);
		opacity: 1;
	}
}

@keyframes inView_flipInX {
	0% {
		-webkit-transform: perspective(400px) rotate3d(1,0,0,90deg);
		transform: perspective(400px) rotate3d(1,0,0,90deg);
		-webkit-transition-timing-function: ease-in;
		-o-transition-timing-function: ease-in;
		transition-timing-function: ease-in;
		opacity: 0;
	}

	40% {
		-webkit-transform: perspective(400px) rotate3d(1,0,0,-20deg);
		transform: perspective(400px) rotate3d(1,0,0,-20deg);
		-webkit-transition-timing-function: ease-in;
		-o-transition-timing-function: ease-in;
		transition-timing-function: ease-in;
	}
	60% {
		-webkit-transform: perspective(400px) rotate3d(1,0,0,10deg);
		transform: perspective(400px) rotate3d(1,0,0,10deg);
	}
	80% {
		-webkit-transform: perspective(400px) rotate3d(1,0,0,-5deg);
		transform: perspective(400px) rotate3d(1,0,0,-5deg);
	}
	100% {
		-webkit-transform: perspective(400px);
		transform: perspective(400px);
		opacity: 1;
	}
}